<?php
/**
 * @version    1.0.0
 * @package    Com_Stopbadbots
 * @author     Bill Minozzi <sergiominozzi@gmail.com>
 * @copyright  2020  Minozzi
 * @license    GNU General Public License version 2 or later; see LICENSE.txt
 */
// No direct access
defined('_JEXEC') or die;
use \Joomla\CMS\MVC\Controller\BaseController;
use \Joomla\CMS\Factory;
use \Joomla\CMS\Language\Text;
// Access check.
if (!Factory::getUser()->authorise('core.manage', 'com_stopbadbots'))
{
	throw new Exception(Text::_('JERROR_ALERTNOAUTHOR'));
}
// Include dependancies
jimport('joomla.application.component.controller');
JLoader::registerPrefix('Stopbadbots', JPATH_COMPONENT_ADMINISTRATOR);
JLoader::register('StopbadbotsHelper', JPATH_COMPONENT_ADMINISTRATOR . DIRECTORY_SEPARATOR . 'helpers' . DIRECTORY_SEPARATOR . 'stopbadbots.php');
$controller = BaseController::getInstance('Stopbadbots');
$controller->execute(Factory::getApplication()->input->get('task'));
$controller->redirect();