<?php
/**
 * @version    1.0.0
 * @package    Com_Stopbadbots
 * @author     Bill Minozzi <sergiominozzi@gmail.com>
 * @copyright  2020  Minozzi
 * @license    GNU General Public License version 2 or later; see LICENSE.txt
 */
// No direct access
defined('_JEXEC') or die;
use \Joomla\CMS\HTML\HTMLHelper;
use \Joomla\CMS\Factory;
use \Joomla\CMS\Uri\Uri;
use \Joomla\CMS\Router\Route;
use \Joomla\CMS\Layout\LayoutHelper;
use \Joomla\CMS\Language\Text;
HTMLHelper::addIncludePath(JPATH_COMPONENT . '/helpers/');
HTMLHelper::_('bootstrap.tooltip');
HTMLHelper::_('behavior.multiselect');
HTMLHelper::_('formbehavior.chosen', 'select');
// Import CSS
$document = Factory::getDocument();
$document->addStyleSheet(Uri::root() . 'administrator/components/com_stopbadbots/assets/css/stopbadbots.css');
$document->addStyleSheet(Uri::root() . 'media/com_stopbadbots/css/list.css');
$user      = Factory::getUser();
$userId    = $user->get('id');
?>
<?php 
if (!empty($this->sidebar))
{ ?>
	<div id="j-sidebar-container" class="span2">
		<?php echo $this->sidebar; ?>
	</div>
<?php
}
?>
	<div id="j-main-container" class="span10">
	<a href="http://stopbadbots.com/help3/" class="btn btn-primary">OnLine Guide</a>
	<br/><br/>
<?php 
$app = JFactory::getApplication();
$params = JComponentHelper::getParams('com_stopbadbots');
$param = $params->get('sbb_enabled');



if($param == NULL)
  $param = 'no';
  if($param == 'yes')
	$msg = 'Activated!';
  elseif($param == 'test')
	$msg = 'Test Mode!';
  else	
	$msg = 'Not Activated!';
echo '<h3>Component Status: ';
echo $msg;
echo '</h3>';
echo 'Click the Top Right Corner Options Button to change status';
echo '<br/>';
echo '<br/>';
$tot = 0;
foreach ($this->items as $i => $item)
{
	$tot = $tot + intval($item->botblocked);
}
echo '<h3>Total Bots Blocked: '.$tot. '</h3>';
echo '<br/>';
echo '<br/>';
$count = 0;
 if (!empty($this->items) and $tot > 0) : ?>
	<h3>Top 10 Bots Blocked</h3>
	Click at left Menu Bots Table for more details.
	<table class="table table-striped" id="botList">
				<?php foreach ($this->items as $i => $item) : ?>
					<tr>
						<td>
							<?php echo $item->botname; ?>
						</td>
						<td>
					    	<?php echo $item->botblocked; ?>
						</td>
					</tr>
					<?php
					$count++;
					if($count > 10)
					   break;
					?>
				<?php endforeach; ?>
			<?php endif; ?>
			</table>
</div>